Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | XMLElement

Name

### getContent()

Examples

    // The following short XML file called "sites.xml" is parsed
    // in the code below. It must be in the project's "data" directory
    // <?xml version="1.0"?>
    // <websites>
    //   <site id="0" url="processing.org">Processing</site>
    //   <site id="1" url="mobile.processing.org">Processing Mobile</site>
    // </websites>

    XMLElement xml;

    void setup() {
      size(200, 200);
      xml = new XMLElement(this, "sites.xml");
      int numSites = xml.getChildCount();
      for (int i = 0; i < numSites; i++) {
        XMLElement kid = xml.getChild(i);
        String site = kid.getContent();
        println(site);
      }
    }

Description | Returns the content of an element. If there is no such content, null is returned.

Syntax

    xml.getContent()

Parameters

xml | any variable of type XMLElement

Returns | String
Usage | Web & Application

Updated on November 22, 2008 08:39:25pm PST